#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -Wall -Wextra \
	-Wno-unused-parameter \
	-Wno-missing-field-initializers \
	-Wdeclaration-after-statement \
	-Wmissing-declarations \
	-Wredundant-decls \
	-Wcast-align \
	-DG_DISABLE_DEPRECATED

CONFIGURE_FLAGS := \
	--enable-android-wakelock \
	--includedir=/usr/include/ofono-ubports \
	--with-systemdunitdir=/lib/systemd/system

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installsystemd:
	dh_installsystemd --name=ofono
